@import 'libs/shared/assets/src/global-style/color';

.container-fluid {
  background: $background-main;
  margin-bottom: 1rem;
  .form {
    background: $white-color;
    padding: 16px 0px;
  }
}
.container-search {
  background: $background-main;
  .form {
    background: $white-color;
    padding-bottom: 16px;
    border-radius: 16px 16px 0  0;
  }
}

.form-row {
  justify-content: space-between;
  &__input {
    width: 99.5%;
    border-radius: 8px;
    min-height: 40px;
    border: 1px solid $border-color;
    padding: 4px 11px;
    &:hover, &:focus {
      border: 1px solid $primary-button-color;
      box-shadow: none;
    }
    &:focus-visible {
      outline: none;
      border: 1px solid $primary-button-color;
    }
  }

  &__left {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
  }

  &__right {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
  }
}

.footer {
  text-align: end;
  margin-top: 20px;
  button {
    padding-right: 5px;
  }
}

.pagination {
  display: flex;
  margin-top: 6px;
  justify-content: space-between;
  &__icon {
    display: flex;
  }
  &__table-info {
    display: flex;
    column-gap: 10px;
    align-items: center;
    &--text {
      white-space: nowrap;
      font-style: normal;
      font-weight: 400;
      font-size: 14px;
      line-height: 150%;
    }
  }
}

.form-search {
  padding: 10px;
  text-align: left;
}

.rc-bt-center {
  align-self: center;
  ::ng-deep {
    button {
      width: 42px;
    }
  }
}

.active {
  background-color: $background-primary-button-color;
  &:hover {
    background-color: $background-primary-button-color;
  }
}

.button-header {
  border-radius: 8px;
  display: flex;
  align-items: center;
  padding: 10px 16px 10px 16px;
  font-size: 14px;
  min-height: 40px;
  background: $primary-button-color;
  margin-left: 16px;
  text-transform: uppercase;
  &:hover {
    background: $active-color;
    border-color: $active-color;
  }
  &.active {
    color: $active-color;
    background-color: $background-main;
    border-color: $background-main;
  }
}

.data-table {
  overflow-x: inherit;
  .table-header > th {
    background: $color-th;
    color: $text-pagination;
    font-family: avertaB, sans-serif;
    text-transform: uppercase;
  }
  .row-table:hover > td {
    background: $hover-table-row;
  }
}
.warning {
  margin-top: 45px;
  font-size: 12px;
  color: $text-status-invisibile;
  font-weight: 600;
  font-style: italic;
}
